FreeMat

- Main Page
- Related Pages

vtkProjectedTetrahedraMapper

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkProjectedTetrahedraMapper is an implementation of the classic Projected Tetrahedra algorithm presented by Shirley and Tuchman in "A Polygonal Approximation to Direct Scalar Volume Rendering" in Computer Graphics, December 1990.

.SECTION Bugs This mapper relies highly on the implementation of the OpenGL pipeline. A typical hardware driver has lots of options and some settings can cause this mapper to produce artifacts.

To create an instance of class vtkProjectedTetrahedraMapper, simply invoke its constructor as follows

      obj = vtkProjectedTetrahedraMapper

# Methods

The class vtkProjectedTetrahedraMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkProjectedTetrahedraMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkProjectedTetrahedraMapper = obj.NewInstance ()`
- `vtkProjectedTetrahedraMapper = obj.SafeDownCast (vtkObject o)`
- `obj.SetVisibilitySort (vtkVisibilitySort sort)`
- `vtkVisibilitySort = obj.GetVisibilitySort ()`